org.apache.ode.bpel.o

## Class OActivity

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    OAssign, OCompensate, OEmpty, OFlow, OForEach, OInvoke, OPickReceive, ORepeatUntil, OReply, ORethrow, OScope, OSequence, OSwitch, OTerminate, OThrow, OWait, OWhile

      public abstract class OActivity
      extends OAgent

  Compiled represnetation of a BPEL activity.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OFailureHandling` | `failureHandling`
    `OExpression` | `joinCondition`
    `java.lang.String` | `name`
    `java.util.Set<OLink>` | `sourceLinks`
    `boolean` | `suppressJoinFailure`
    `java.util.Set<OLink>` | `targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OActivity(OProcess owner, OActivity parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `digest()`
    `OFailureHandling` | `getFailureHandling()`
    `OActivity` | `getParent()`
    `java.lang.String` | `getType()`
    `void` | `setFailureHandling(OFailureHandling failureHandling)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### joinCondition

          public OExpression joinCondition

    - #### suppressJoinFailure

          public boolean suppressJoinFailure

    - #### sourceLinks

          public final java.util.Set<OLink> sourceLinks

    - #### targetLinks

          public final java.util.Set<OLink> targetLinks

    - #### name

          public java.lang.String name

    - #### failureHandling

          public OFailureHandling failureHandling

  - ### Constructor Detail

    - #### OActivity

          public OActivity(OProcess owner,
                           OActivity parent)

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

    - #### getParent

          public OActivity getParent()

    - #### getFailureHandling

          public OFailureHandling getFailureHandling()

    - #### setFailureHandling

          public void setFailureHandling(OFailureHandling failureHandling)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `OBase`

    - #### digest

          public java.lang.String digest()

      Overrides:
        `digest` in class `OBase`